Subject: bug#4500 closed by Stefan Monnier <[email-masked]> (Re: bug#4500: 23.1; dig-mode keymap in docstring)

From: [email-masked] (Emacs bug Tracking System)
Date: Mon, 21 Sep 2009 02:30:58 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4500: 23.1; dig-mode keymap in docstring

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
4500: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4500
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4500: 23.1; dig-mode keymap in docstring
From: Stefan Monnier <[email-masked]>
To: Kevin Ryde <[email-masked]>
Date: Sun, 20 Sep 2009 22:28:36 -0400

> I did a C-h m in an M-x dig mode buffer and hoped it might show the keys
> available to do stuff.  There isn't anything to do in fact, but if the
> keymap were in the docstring it'd tell me that :-).

I've installed another patch that uses define-derived-mode instead.

        Stefan

Subject: 23.1; dig-mode keymap in docstring
From: Kevin Ryde <[email-masked]>
To: [email-masked]
Date: Mon, 21 Sep 2009 10:50:28 +1000

I did a C-h m in an M-x dig mode buffer and hoped it might show the keys
available to do stuff.  There isn't anything to do in fact, but if the
keymap were in the docstring it'd tell me that :-).

2009-09-21  Kevin Ryde  <[email-masked]>

	* net/dig.el (dig-mode): Show dig-mode-map in the docstring.

--- dig.el.~1.7.~	2009-09-21 10:46:28.000000000 +1000
+++ dig.el	2009-09-21 10:46:56.000000000 +1000
@@ -137,7 +137,8 @@
   (define-key dig-mode-map "q" 'dig-exit))
 
 (defun dig-mode ()
-  "Major mode for displaying dig output."
+  "Major mode for displaying dig output.
+\\{dig-mode-map}"
   (interactive)
   (kill-all-local-variables)
   (setq mode-name "dig")

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-03 on raven, modified by Debian
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''